// 视频巡逻
import request from "@/utils/request";
const api = "/mosty-api";
//分页查询
export function getDataList(params) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfa/queryPage',
    method: "get",
    params
  })
}
// 添加
export function addFa(data) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfa',
    method: "post",
    data
  })
}
// 添加摄像头
export function addSxtPz(data) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfaSxt ',
    method: "post",
    data
  })
}
// 修改摄像头
export function editSxtPz(data) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfaSxt',
    method: "put",
    data
  })
}
// 修改
export function editFa(data) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfa',
    method: "put",
    data
  })
}
// 查询详情
export function getInfo(id) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfa/' + id,
    method: "get"
  })
}
// 批量删除
export function deleteBatchs(data) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfa',
    method: "delete",
    data
  })
}
//查询巡逻方案详情（包含摄像头信息）
export function getSpInfo(faid) {
  return request({
    url: api + '/mosty-spxl/tbSpxlSpxlfaSxt?faid=' + faid,
    method: "get",
  })
}

//查询摄像头列表
export function getSxtList(params) {
  return request({
    url: api + '/mosty-yszx/tbYsSxt/getPageList',
    method: "get",
    params
  })
}

//查询摄像头列表
export function getSxtAll(params) {
  return request({
    url: api + '/mosty-yszx/tbYsSxt/getList',
    method: "get",
    params
  })
}
